var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MBXPRO\">\n      <meta name=\"release\" content=\"2019\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2019-01-05\">\n      <meta name=\"topicid\" content=\"GUID-1123AC1C-F71C-40BB-939D-6EC9A42A781C\">\n      <meta name=\"indexterm\" content=\"マテリアル: CgFX\">\n      <meta name=\"indexterm\" content=\"CgFX マテリアル: 概要\">\n      <meta name=\"indexterm\" content=\"CgFX マテリアル: 使用\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>CgFX ベースド マテリアルを使用する</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-1123AC1C-F71C-40BB-939D-6EC9A42A781C\"></a><div class=\"head\">\n            <h1>CgFX ベースド マテリアルを使用する</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7956\"></a> Mudbox では、正規のグラフィックス カードの CgFX マテリアル仕様がサポートされています。CgFX は、コンピュータのグラフィックス カードの機能を使用してカスタム\n            マテリアルを作成し、多様なマテリアルやレンダリング効果をリアルタイムに生成できるシェーダ仕様です。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7955\"></a>CgFX マテリアルを開発して使用することの主な利点は、CgFx 仕様をサポートするその他のハードウェア プラットフォーム(ゲーム コンソールなど)に加えて、さまざまなハードウェアやソフトウェア\n            アプリケーション(Maya と Mudbox 間など)に移植できることにあります。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7954\"></a>CgFX 仕様とその構造、および詳細なチュートリアルについては、<a href=\"http://http.developer.nvidia.com/CgTutorial/cg_tutorial_appendix_c.html\" target=\"_blank\">http://http.developer.nvidia.com/CgTutorial/cg_tutorial_appendix_c.html</a> を参照してください。 \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7952\"></a> \n            <h2><a name=\"GUID-461858D0-CEE9-419B-984D-C230FCFA00AF\"></a>Mudbox での CgFX ファイルの使用に関する注意\n            </h2> <a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7951\"></a><ul>\n               <li>CgFX ファイルには、少なくとも 1 つの有効な Technique が含まれている必要があります。 Technique とは、特定の効果を生じさせる方法が記述された指示のセットです。\n                  \n               </li>\n               <li>割り当てられている変数に関する注釈が CgFX マテリアル ファイルに含まれている場合、それらは CgFX マテリアルがコンパイルされたときに、[プロパティ]ウィンドウ内のプロパティ\n                  アイテムを生成するために使用されます。 \n               </li>\n               <li>CgFX ファイルに <span class=\"code\">float3 vCameraLocalPosition</span><span class=\"code\">、float3 vLightLocalPosition</span>、および <span class=\"code\">float4x4 mModelViewProject</span> 変数が含まれている場合、Mudbox ではそれらに適切な値が自動的に割り当てられます。 \n               </li>\n               <li>Mudbox では、Mudbox でペイントする CgFX ファイル内のテクスチャを指定できます。MetaSampler 構造を使用することで、テクスチャを含むサンプラを定義し、Mudbox\n                  内でペイント可能なチャネルとして選択することができます。 \n               </li>\n               <li>Mudbox では、SAS 注釈およびセマンティクスのサブセットがサポートされています。サポートされているセマンティクスは、World、WorldInverse、WorldTranspose、WorldInverseTranspose、WorldView、WorldViewInverse、WorldViewTranspose、WorldViewInverseTranspose、WorldViewProjection、WorldViewProjectionInverse、WorldViewProjectionTranspose、WorldViewProjectionInverseTranspose、View、ViewInverse、ViewTranspose、ViewProjection、ViewProjectionInverse、ViewProjectionTranspose、ViewProjectionInverseTranspose、Projection、ProjectionInverse、ProjectionTranspose、ProjectionInverseTranspose\n                  です。 \n               </li>\n               <li>サポートされている注釈は、UIWidget、UIName、UIMin、UIMax です。 </li>\n            </ul> \n         </div>\n         <div><a name=\"WS1A9193826455F5FF-4F542F6211C68D07B4A-6E88\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span> \n               <p><a name=\"GUID-53BEE41F-7CB5-459F-BD54-CA1EC2E7C096\"></a>上記のセマンティクスと注釈の定義は、NVIDIA Web サイトに記載されています。 \n               </p> \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-794C\"></a> \n            <h2><a name=\"GUID-5BCD0EC5-C1DC-4F4E-A916-16EA5CE95EBD\"></a>Mudbox に CgFX ファイルをロードする\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-794B\"></a>Mudbox では、effects フォルダ内にある CgFX ファイルについて、[CgFX ベースド マテリアル]プロパティ ウィンドウで CgFX マテリアルのマテリアル\n               ユーザ インタフェースが自動的に生成されます。このページの<em class=\"strong\">「Mudbox での CgFX ファイルの使用に関する注意」</em>を参照してください。 \n            </p> <a name=\"GUID-6580BEAD-65BE-48F7-A613-1B693EA7E365\"></a><ul>\n               <li> <em class=\"strong\">(Windows)</em> <span class=\"code\"> <em class=\"mild\">&lt;ドライブ&gt;</em>:¥My Documents¥Mudbox¥<em class=\"mild\">&lt;バージョン&gt;</em>¥data¥Effects</span> \n               </li>\n               <li> <em class=\"strong\">(Mac OS X)</em> <span class=\"code\"> /Users/&lt;<em class=\"mild\">ユーザ名</em>&gt;/Library/Application Support/Autodesk/<em class=\"mild\">&lt;バージョン&gt;</em>/data/effects</span> \n               </li>\n               <li> <em class=\"strong\">(Linux) </em> <span class=\"code\">/home/&lt;<em class=\"mild\">ユーザ名</em>&gt;/Mudbox/<em class=\"mild\">&lt;バージョン&gt;</em>/data/Effects</span> \n               </li>\n            </ul> \n            <div><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-794A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span><span class=\"code\">effects</span> フォルダには、CgFX マテリアルの例もいくつか含まれています。このフォルダ内のファイルは、.cgfx 形式(非コード化)または .bin 形式(コード化)です。\n                  \n               </div>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7949\"></a>CgFX マテリアルは、Mudbox を起動するたびにコンパイルされます。effects フォルダ内の CgFX マテリアルが複雑であるほど、Mudbox の起動にも時間がかかります。\n               \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-668B\"></a> \n            <h2><a name=\"GUID-E916280D-1BB3-4E35-8C10-049BC76C1F2C\"></a>関連トピック\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-668A\"></a> <span class=\"char_link\"><a href=\"GUID-16DE02E8-7013-49D9-B93A-8D93AB3556CE.htm\">マテリアルを作成、適用する</a></span> \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";